
#ifndef _globals_h
#define _globals_h

#include "xpex.h"

extern Display *dpy;
extern Window   window;
extern Atom     delete_window_atom;
extern Widget   toplevel, canvas;

extern Widget   lightColor, lightDirection, lightPoint,
                lightColorLabel, lightDirectionText, lightPointText,
       lightAttenuation1, lightAttenuation1Scroll, lightAttenuation1Label,
       lightAttenuation2, lightAttenuation2Scroll, lightAttenuation2Label,
       lightConcentration, lightConcentrationScroll,lightConcentrationLabel,
       lightSpreadAngle, lightSpreadAngleScroll, lightSpreadAngleLabel;

extern PEXRenderer           renderer;
extern PEXRendererAttributes rattrs;

extern PEXStructure top_struct, sphere;

extern PEXColorSpecifier colorSpec;

extern Boolean colorTypeIndexed, colorTypeRGB,
           colorTypeHSV, colorTypeHLS, colorTypeCIE;

extern int                     light_switches[4];
extern PEXLightEntry           lights[4];
extern PEXDepthCueEntry        depth_cue_rep;
extern PEXReflectionAttributes refl_props;

extern int cur_light;
extern int cur_shading;
extern int cur_refl;
extern int cur_hlhsr_mode;

/* The viewing parameters. */
extern PEXCoord         view_ref_pt;
extern PEXVector        view_up_vec;
extern PEXVector        view_plane_normal;
extern PEXCoord2D       view_window[2];
extern PEXNPCSubVolume  viewport;
extern double           view_plane, front_plane, back_plane;
extern PEXCoord         prp;
extern int              perspective;
extern PEXViewEntry     view;

#endif /* _globals_h */
